Package org.eclipse.lemminx.extensions.catalog

## Class CatalogCatalogEntry

- java.lang.Object
- - org.eclipse.lemminx.extensions.catalog.CatalogEntry
  - - org.eclipse.lemminx.extensions.catalog.CatalogCatalogEntry

    public class CatalogCatalogEntry
    extends CatalogEntry

Represents a catalog entry that uses the "catalog" attribute to reference an external document

### Constructor Summary

Constructors
`CatalogCatalogEntry​(String baseURI, DOMElement entryElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DOMRange` `getLinkRange()` Returns the range in the document where the link to an external document is, or null if this catalog entry does not refer to an external document
`String` `getResolvedURI()` Returns the URI for the document that this catalog entry references, or null if this catalog entry does not refer to an external document

### Methods inherited from class org.eclipse.lemminx.extensions.catalog.CatalogEntry

`getBaseURI, getEntryElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CatalogCatalogEntry

    public CatalogCatalogEntry​(String baseURI,
                               DOMElement entryElement)

### Method Detail

#### getLinkRange

    public DOMRange getLinkRange()

Description copied from class: `CatalogEntry`
Returns the range in the document where the link to an external document is, or null if this catalog entry does not refer to an external document

Specified by:
  `getLinkRange` in class `CatalogEntry`
Returns:
  the range in the document where the link to an external document is

#### getResolvedURI

    public String getResolvedURI()

Description copied from class: `CatalogEntry`
Returns the URI for the document that this catalog entry references, or null if this catalog entry does not refer to an external document

Specified by:
  `getResolvedURI` in class `CatalogEntry`
Returns:
  the URI for the document that this catalog entry references